/*CSS Syntax
	
	selector {
		property: value;
		property: value;
	}

	css declarations manipulate property of the slected elements

	a group of declarations for selected elements with its selector are called rule-sets and are wrapped in {}.

	selectors select elements to be designed or styled by a ruleset

	* - universal selector

	font-family - modify font. value is default css fonts and a fallback font. fallback fonr is used as backup if indicated font is not available.


*/


* {
	font-family: "Courier New", monospace;
	font-size: 20px;

}



/*
	id selector -  #<idName>

	#idName {
		property: value;
	}

	letter-spacing adds space between characters.

*/

#zuitt-motto {
	letter-spacing: 5px;
}

/*
	type selector - select elements of same tag

	tag {
		property: value;
	}



	background-color modifies elements background
*/

body {
	background-color: skyblue;
}

h1 {
	/*
		rem - root element; based on the font-size of the root element. default fontsize is 16px.

		rem as a measurement is mostly used for font size. tho it can be used as a measurement for other css properties.
	*/
	font-size: 2rem;
	text-align: center;
}

/*
	class selector

	.className {
		property: value;
	}

*/

.offering-item {
	text-transform: uppercase;

}

/*
	Attribute selector - select elements with the same tag and attribute
*/



input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%; /* 90% of parent, to prevent overflow */
}

/*
	Selector Combinator - make selectors more specific and select elements more specifically.

	Adjacent Sibling Combinator
		select the adjacent sibling of the first selector. an adjacent sibling is the element nearest to the first sibling and must come AFTER it.

		firstSibling + adjacentSibling {
			property:  value;
		}		

		height and width properties resize height and width based on a measurement

		border-radius rounds corners of an element.
*/

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

img {
	height: 100px;
	width: 100;
}

/*
	Descendant Combinator
		selects elements that are descendants of the first selector.

		element descendantElement {
			property: value;
		}

	We can also add specific colors to properties that can change colors using a hex decimal.

*/


#bootcamp-learning-list li {
	color: #075966;
}

/*
	General Sibling Combinator
		select particular siblings taht come afeter the first selector.

	element ~ generalSiblingElements {
		property: value;
	}


	text-decoration changes lines that are included in a text; overline, underline, strikethrough. anchor tags have underlines by default.

*/

h2 ~ a {
	text-decoration: none;
}

/*
	Child Selector
		select a particular child of the preceding selector

	parentSelector > childSelector {
		property: value;
	}


*/

section > form > label {
	color: rgb(0, 0, 128);
}


/*
	scroll-behavior - changes scrolling when using a link to navigate in a page.
*/
html {
	scroll-behavior: smooth;
}

nav{
	background-color: white;
}

/*
	selector:hover
		psuedo class; change style of element when hovered over.
*/

a:hover {
	background-color: #b4d6de;

}

nav > div {
	/*
		display:  inline-block;
			displays div inline

		float: right;
			change horizontal alignment of element; right floats element to righmost part
	*/

	display: inline-block;
	float: right;
}

form {
	text-align: center;
	background-color: white;

	/*
		border:  thickness style color;
	*/

	border: 2px solid black;
	height: 185px;

	/*vw - viewport width; measurement based on the viewport width. viewport is the size of the viewer screen*/
	width: 25vw;

	/*
		position: ; determine position of element based on criteria
			relative - move element in relative to its original position in document

		left: ; - add measurement on the left side of element. the % value is based on the width of parent element from the left of parent element.
	*/
	position: relative;
	left: 37.25%;
}

section {
	/*vh viewport height*/
	height: 100vh;
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*list-style-type change list type of our li*/
	list-style-type: none;
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 10px;
	margin-top: 2px;
}